Loading...
Searching...
No Matches
mongocxx::options::tls Class Reference

`#include <mongocxx/v_noabi/mongocxx/options/tls.hpp>`

## Description

Used by mongocxx::v_noabi::options::client::tls_opts.

## Public Member Functions

| tls ()=default
| Default initialization.
| tls (v1::tls v)
| Construct with the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< bool > const & | allow_invalid_certificates () const
| Retrieves whether or not the driver will check the server's CA file.
tls & | allow_invalid_certificates (bool allow_invalid_certificates)
| If true, the driver will not verify the server's CA file.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & | ca_dir () const
| Retrieves the current path to the CA directory.
tls & | ca_dir (bsoncxx::v_noabi::string::view_or_value ca_dir)
| The path to the Certificate Authority directory.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & | ca_file () const
| Retrieves the current path to the CA file.
tls & | ca_file (bsoncxx::v_noabi::string::view_or_value ca_file)
| The path to the .pem file that contains the root certificate chain from the Certificate Authority.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & | crl_file () const
| Retrieves the current path to the .pem file that contains revoked certificates.
tls & | crl_file (bsoncxx::v_noabi::string::view_or_value crl_file)
| The path to the .pem file that contains revoked certificates.
| operator v1::tls () const
| Convert to the mongocxx::v1 equivalent.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & | pem_file () const
| Retrieves the current path to the .pem file.
tls & | pem_file (bsoncxx::v_noabi::string::view_or_value pem_file)
| The path to the .pem file containing a public key certificate and its associated private key.
bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & | pem_password () const
| Retrieves the current decryption pass phrase.
tls & | pem_password (bsoncxx::v_noabi::string::view_or_value pem_password)
| The pass phrase used to decrypt an encrypted PEM file.

## Constructor & Destructor Documentation

## tls() [1/2]

mongocxx::v_noabi::options::tls::tls | ( |  | ) |

default

Default initialization.

## tls() [2/2]

mongocxx::v_noabi::options::tls::tls | ( | v1::tls | v | ) |

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## allow_invalid_certificates() [1/2]

bsoncxx::v_noabi::stdx::optional< bool > const & mongocxx::v_noabi::options::tls::allow_invalid_certificates | ( |  | ) | const

inline

Retrieves whether or not the driver will check the server's CA file.

Returns
  Whether or not the driver will check the server's CA file.

## allow_invalid_certificates() [2/2]

tls & mongocxx::v_noabi::options::tls::allow_invalid_certificates | ( | bool | allow_invalid_certificates | ) |

inline

If true, the driver will not verify the server's CA file.

Parameters

  allow_invalid_certificates | Whether or not to check the server's CA file.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## ca_dir() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & mongocxx::v_noabi::options::tls::ca_dir | ( |  | ) | const

inline

Retrieves the current path to the CA directory.

Returns
  The path to the CA directory.

## ca_dir() [2/2]

tls & mongocxx::v_noabi::options::tls::ca_dir | ( | bsoncxx::v_noabi::string::view_or_value | ca_dir | ) |

inline

The path to the Certificate Authority directory.

Parameters

  ca_dir | The path to the CA directory.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## ca_file() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & mongocxx::v_noabi::options::tls::ca_file | ( |  | ) | const

inline

Retrieves the current path to the CA file.

Returns
  The path to the CA file.

## ca_file() [2/2]

tls & mongocxx::v_noabi::options::tls::ca_file | ( | bsoncxx::v_noabi::string::view_or_value | ca_file | ) |

inline

The path to the .pem file that contains the root certificate chain from the Certificate Authority.

Parameters

  ca_file | The path to the CA file.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## crl_file() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & mongocxx::v_noabi::options::tls::crl_file | ( |  | ) | const

inline

Retrieves the current path to the .pem file that contains revoked certificates.

Returns
  The path to the revoked certificates file.

## crl_file() [2/2]

tls & mongocxx::v_noabi::options::tls::crl_file | ( | bsoncxx::v_noabi::string::view_or_value | crl_file | ) |

inline

The path to the .pem file that contains revoked certificates.

Parameters

  crl_file | The path to the PEM file.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## operator v1::tls()

mongocxx::v_noabi::options::tls::operator v1::tls | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## pem_file() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & mongocxx::v_noabi::options::tls::pem_file | ( |  | ) | const

inline

Retrieves the current path to the .pem file.

Returns
  The path to the .pem file.

## pem_file() [2/2]

tls & mongocxx::v_noabi::options::tls::pem_file | ( | bsoncxx::v_noabi::string::view_or_value | pem_file | ) |

inline

The path to the .pem file containing a public key certificate and its associated private key.

Parameters

  pem_file | The path to the .pem file.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

## pem_password() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & mongocxx::v_noabi::options::tls::pem_password | ( |  | ) | const

inline

Retrieves the current decryption pass phrase.

Returns
  The pass phrase.

## pem_password() [2/2]

tls & mongocxx::v_noabi::options::tls::pem_password | ( | bsoncxx::v_noabi::string::view_or_value | pem_password | ) |

inline

The pass phrase used to decrypt an encrypted PEM file.

Parameters

  pem_password | The pass phrase.

Returns
  A reference to the object on which this member function is being called. This facilitates method chaining.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/options/tls.hpp